2007-01-08  Rodrigo Moya <rodrigo@novell.com>

	* gnome-keybinding-properties.c (create_dialog, clear_old_model):
	moved gtk_scrolled_window_ call back to its correct place.

2007-01-08  Rodrigo Moya <rodrigo@novell.com>

	Fixes #128158
	
	Patch by Jens Granseuer <jensgr@gmx.net>

	* gnome-keybinding-properties.c (create_dialog): set scrolled window
	policy to _NEVER.
	(clear_old_model): euse the existing model instead of discarding and
	rebuilding it.
	(main): don't leak the GnomeProgram.
	
2006-07-27  Gary Coady <gary@lyranthe.org>

	Fixes #333576

	* gnome-keybinding-properties.c (accel_edited_callback): don't assume
	defines are contiguous.

2006-07-23  Sebastien Bacher  <seb128@debian.org>

	* keybinding.desktop.in.in: don't list the Application category, 
	patch by Vincent Fretin <vincent.fretin@gmail.com> (Closes: #344321)

2006-04-27  Bastien Nocera  <hadess@hadess.net>

	* gnome-keybinding-properties.c: remove brightness keybindings, as
	they duplicate with gnome-power-manager's (greater) functionality
	(Closes: #339857)

2006-01-30  Rodrigo Moya <rodrigo@novell.com>

	* actions/acme.h:
	* gnome-keybinding-properties.c: reverted commit from 2006-01-11.

2006-01-22  Bastien Nocera  <hadess@hadess.net>

	* gnome-keybinding-properties.c: (accel_edited_callback):
	Refuse to bind letter keys without a modifier (Closes: #86956)

2006-01-11  Sebastien Bacher  <seb128@debian.org>

	* gnome-keybinding-properties.c:
	drop the keysym/keycode binding code, it's an hack and 
	doesn't work fine, patch by Bastien Nocera <hadess@hadess.net>
	(Closes: #133815)

2005-11-14  Kjartan Maraas  <kmaraas@gnome.org>

	* eggcellrendererkeys.c: (egg_cell_renderer_keys_set_accelerator):
	Remove some unused code.
	* gnome-keybinding-properties.c: (should_show_key): Mark some
	arrays static.

2005-02-08  Sebastien Bacher  <seb128@debian.org>

	* eggcellrendererkeys.c: (egg_cell_renderer_keys_start_editing):
	patch by Kjartan Maraas <kmaraas@gnome.org>, some code cleanups
        (Closes: #166267).

2005-01-13  Sebastien Bacher  <seb128@debian.org>

	* gnome-keybinding-properties.c: (start_editing_kb_cb),
	(setup_dialog): edit the keybinding when "enter" is pressed 
	(Closes: #127992).

2005-01-02  Sebastien Bacher  <seb128@debian.org>

	* gnome-keybinding-properties.glade:
	patch from Heikki Paajanen <hepaajan@iki.fi> (based on the patch
	from Andrew Johnson <acjgenius@earthlink.net>) 
	to not set "close" as the default button (Closes: #98202).

2004-11-30  Bastien Nocera  <hadess@hadess.net>

	* eggcellrendererkeys.c: (grab_key_callback): Patch from
	Michal Bukovjan <bukovjan@mbox.dkm.cz> to handle backspace in multi-
	layout setups correctly (Closes: #154492)

2004-11-09  Mark McLoughlin  <mark@skynet.ie>

	* Makefile.am: install .desktop file in $(datadir)/applications
	
	* keybinding.desktop.in: add OnlyShowIn=GNOME;

2004-10-17  Vincent Untz  <vincent@vuntz.net>

	* gnome-keybinding-properties.c: add the keybinding to launch a
	terminal

2004-10-14  Jody Goldberg <jody@gnome.org>

	* Release 2.8.1

2004-08-20  Frederic Crozat  <fcrozat@mandrakesoft.com>

	* gnome-keybinding-properties.c: (setup_dialog):
	Use themed icon for WM hint.

2004-07-23 David Sedeņo <david@alderia.com>

	http://bugzilla.gnome.org/show_bug.cgi?id=148208
	* gnome-keybinding-properties.glade: Expand to false to the hbox1

2004-05-09 Jody Goldberg <jody@gnome.org>

	For : Michael Terry <mike@mterry.name>
	http://bugzilla.gnome.org/show_bug.cgi?id=99529
	* gnome-keybinding-properties.c : remove functions dealing with
	  the keyboard theme
	* gnome-keybinding-properties.glade : remove keyboard theme option
	  box and keyboard shortcut label

2004-04-16  Jody Goldberg <jody@gnome.org>

	From paolo borelli :
	http://bugzilla.gnome.org/show_bug.cgi?id=139723
	* gnome-keybinding-properties.c (accel_edited_callback) : fix leak

2004-04-15  Jody Goldberg <jody@gnome.org>

	* Release 2.6.1

2004-04-15  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=139605
	* eggcellrendererkeys.c (grab_key_callback) : mouse buttons should not
	  be valid modifiers.

2004-04-06  Jody Goldberg <jody@gnome.org>

	* gnome-keybinding-properties.c (cb_check_for_uniqueness) : Really fix
	  this time to capture the vagaries of keys with and without names.

2004-04-01  Jody Goldberg <jody@gnome.org>

	* Release 2.6.0.3

2004-04-01  Jody Goldberg <jody@gnome.org>

	* gnome-keybinding-properties.c (accel_edited_callback) : Use a cancel
	  button on the 'already used' dialog so that escape will close it.
	(cb_check_for_uniqueness) : fix brokeness.  It is entirely possible
	  for keycode on loaded keys to be '0'

2003-12-30  Sven Herzberg <herzi@gnome-de.org>

	* capplets/keybindings/eggcellrendererkeys.c : change the "Type a
	new accelerator..." tooltip to a shorter form "<New accelerator...>".
	* capplets/keybindings/gnome-keybindings-properties.gladei : add an
	explanation on how use the capplet.
	This is based upon the work of Emmanuel Pacaud
	<emmanuel.pacaud@univ-poitiers.fr>

2004-03-30  Jody Goldberg <jody@gnome.org>

	* Release 2.6.0.1

2004-03-23  Jody Goldberg <jody@gnome.org>

	* Release 2.6.0

2004-03-22  Jody Goldberg <jody@gnome.org>

	* gnome-keybinding-properties.c (reload_key_entries) : split the
	  obvious media keys into a distinct category.  Call it 'Sound' to
	  avoid string freeze problems.

2004-03-11  Jody Goldberg <jody@gnome.org>

	* Release 2.5.4

2004-02-17  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=128164
	* gnome-keybinding-properties.c (accel_edited_callback) : don't use
	  get_real_model.  The selection is based on the sorted model.
	(accel_cleared_callback) : ditto, and fix a leak while I'm in here.

2004-02-13  Jody Goldberg <jody@gnome.org>

	* Release 2.5.3

2004-02-12  Mark McLoughlin  <mark@skynet.ie>

	* gnome-keybinding-properties.c: (cb_dialog_response): Update help link
	to point to user-guide.xml

2004-01-14  Jody Goldberg <jody@gnome.org>

	* Release 2.5.2

2003-12-30  Jody Goldberg <jody@gnome.org>

	* Release 2.5.1.1

2003-12-30  Jody Goldberg <jody@gnome.org>

	* Release 2.5.1

Tue Nov 18 12:23:26 2003  Jonathan Blandford  <jrb@redhat.com>

	* eggcellrendererkeys.[ch]: Patch from Bastien Nocera to to handle
	keycodes as well as keysyms.

	* eggaccelerators.[ch]: handle keycodes.

	* gnome-keybinding-properties.c: handle keycodes.

2003-10-28  Jody Goldberg <jody@gnome.org>

	* Release 2.5.0

2003-08-01  Dennis Cranston  <dennis_cranston at yahoo com>

	* gnome-keybinding-properties.glade: Patch to fix spacing between 
	action area and vbox of preferences dialog.

Fri Jul 25 16:29:29 2003  Jonathan Blandford  <jrb@redhat.com>

	* gnome-keybinding-properties.c (desktop_key_list): Patch from
	Ghee Teo to move the key bindings to the right place.

2003-07-11  Dennis Cranston <dennis_cranston at yahoo com>

	* gnome-keybinding-properties.glade:  Minor HIG widget padding
	adjustments.

2003-07-07  Jody Goldberg <jody@gnome.org>

	* Release 2.3.4

2003-07-03  Kjartan Maraas  <kmaraas@gnome.org>

	* eggcellrendererkeys.c: (egg_cell_renderer_keys_set_accelerator):
	Merge leak fix from stable.

2003-06-24  Jody Goldberg <jody@gnome.org>

	* Release 2.3.3

2003-05-07  Jody Goldberg <jody@gnome.org>

	* Release 2.3.1

2003-04-30  Kjartan Maraas  <set EMAIL_ADDRESS environment variable>

	* gnome-keybinding-properties.c: (make_key_theme_menu_item): Mark
	string for translation. Patch from Hidetoshi Tajima.
	Fixes bug #106560.

Tue Feb  4 17:09:18 2003  Jonathan Blandford  <jrb@redhat.com>

	* Release 2.2.0.1

2003-01-21 Shivram U  <shivaram.upadhyayula@wipro.com>

        * gnome-keybindings-properties.c (append_keys_to_tree): Set the size
        request of the shortcuts treeview instead of the the actions scrolled
        window. (#103962)

Tue Jan 21 01:15:14 2003  Jonathan Blandford  <jrb@gnome.org>

	* Release 2.2.0

Thu Jan 16 02:41:09 2003  Jonathan Blandford  <jrb@gnome.org>

	* Release 2.1.7

Mon Jan 13 15:14:22 2003  Jonathan Blandford  <jrb@redhat.com>

	* gnome-keybinding-properties.c (main): gnome_theme_init() added.

2003-01-10  Jody Goldberg <jody@gnome.org>

	* Release 2.1.6

2003-01-03  Havoc Pennington  <hp@redhat.com>

	* gnome-keybinding-properties.c (metacity_key_list): add
	vertical/horizontal maximize (this adds no strings or features, 
	just fixes the list being out of sync with metacity)

2002-12-18  Jody Goldberg <jody@gnome.org>

	* Release 2.1.5

2002-12-04  Havoc Pennington  <hp@pobox.com>

	* gnome-keybinding-properties.glade: set all the spacings to 12 as
	per HIG

2002-12-04  Havoc Pennington  <hp@pobox.com>

	* gnome-keybinding-properties.c (clear_old_model): create a sort
	model for the treeview.

2002-12-03  Havoc Pennington  <hp@pobox.com>

	* gnome-keybinding-properties.c (append_keys_to_tree): store
	description in the KeyEntry
	(cb_check_for_uniqueness): don't complain if a key is a duplicate
	of itself.
	(accel_edited_callback): use human-readable key name in the error
	message, not the gconf key. Reword error message to say "shortcut"
	like the other text in the dialog. Allow duplicate disabled keys
	(keyval == 0)
	(accel_edited_callback): the passed-in mask is an
	EggVirtualModifierType.
	(struct KeyEntry): the mask is an EggVirtualModifierType
	(binding_name): use egg_virtual_accelerator_name() not 
	gtk_accelerator_name().
	(binding_from_string): use egg_accelerator_parse_virtual

2002-11-23  Jody Goldberg <jody@gnome.org>

	* Release 2.1.3

Thu Nov 14 19:01:39 2002  Jonathan Blandford  <jrb@gnome.org>

	* gnome-keybinding-properties.c (setup_dialog): there's no need
	for it to be resizable, as we have GTK_POLICY_NEVER for the
	hadjustment.

2002-11-02  Jody Goldberg <jody@gnome.org>

	* Release 2.1.2

2002-09-27  Jody Goldberg <jody@gnome.org>

	* gnome-keybinding-properties.c (cb_check_for_uniqueness) : new.
	(accel_edited_callback) : don't let a user enter duplicate
	  accelerators for different actions.

Fri Nov  1 17:46:06 2002  Jonathan Blandford  <jrb@gnome.org>

	* gnome-keybinding-properties.c: move to use gnome-theme-info
	instead of theme-common.

2002-10-21  Jody Goldberg <jody@gnome.org>

	* Release 2.1.1

2002-09-29  Havoc Pennington  <hp@pobox.com>

	* eggaccelerators.c: update from libegg to get fix from Ralph
	Loader for <Super> <Hyper> <Meta> parsing, #93005

2002-10-01  Jody Goldberg <jody@gnome.org>

	* Release 2.1.0.1

2002-08-21  Deepa Natarajan <deepa.natarajan@wipro.com>
 
	* gnome-keybinding-properties.c: Added [un]maximize metacity bindings.
 
2002-08-21  Jody Goldberg <jody@gnome.org>

	* Release 2.1.0

Mon Aug 19 17:54:07 2002  Jonathan Blandford  <jrb@redhat.com>

	* gnome-keybinding-properties.c (metacity_key_list): fix bindings
	to match metacity.

2002-08-15  Jody Goldberg <jody@gnome.org>

	* gnome-keybinding-properties.c : Add a pile of missing metacity
	  bindings.

2002-08-10  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=83334
	* eggcellrendererkeys.c : do it the easy way and just update the
	  libegg code.

2002-08-08  Seth Nickell  <snickell@stanford.edu>

	* gnome-keybinding-properties.glade:

	Set border widths correctly so things align nicely.

2002-06-27  Jody Goldberg <jody@gnome.org>

	* gnome-keybinding-properties.c (setup_dialog) : fix and move the code
	  into capplet_set_icon.

2002-06-26  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=86575
	* gnome-keybinding-properties.c (setup_dialog) : handle missing
	  pixmaps more smoothly.

2002-06-21  Stephen Browne <stephen.bronwe@sun.com>

	* gnome-keybinding-properties.c : moved metacity detection
	out of here and into a more generic API in capplets/common/wm-common.c


2002-06-17  Jody Goldberg <jody@gnome.org>

	* Release 2.0.0

2002-05-29  Jody Goldberg <jody@gnome.org>

	* gnome-keybinding-properties.c (cb_dialog_response) : fix return type.

2002-05-28  Satyajit Kanungo <satyajit.kanungo@wipro.com>

	* gnome-keybinding-properties.glade : Added a help button

	* gnome-keybinding-properties.c : Put the help callback to get
 	  the help document from user-guide.


Sun May 26 11:01:28 2002  Jonathan Blandford  <jrb@gnome.org>

	* gnome-keybinding-properties.c (main): use APPID instead of
	argv[0]

2002-05-24  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=82850
	* gnome-keybinding-properties.c (setup_dialog) : some protection
	  against faulty installs.

Tue May 21 19:36:13 2002  Jonathan Blandford  <jrb@redhat.com>

	* gnome-keybinding-properties.c (accel_edited_callback): 
	 handle the new eggcellrendererkeys signal.

Sat May 18 18:25:02 2002  Jonathan Blandford  <jrb@gnome.org>

	* gnome-keybinding-properties.c: (append_keys_to_tree),
	(setup_dialog): Add default icon.  Don't disalow closing
	expanders.  Implement ui-review suggestions.

	* gnome-keybinding-properties.glade: Implement ui-review
	suggestions.

Thu May 16 19:49:26 2002  Jonathan Blandford  <jrb@redhat.com>

	* gnome-keybinding-properties.c (start_editing_cb): evil, evil
	hack to insta-edit.  Should be removed for GTK 2.2
	(keybinding_key_changed_foreach): notify when we update the tree.

2002-05-10  Jody Goldberg <jody@gnome.org>

	* gnome-keybinding-properties.glade : Merge in the atk patch.

2002-05-09  Kjartan Maraas  <kmaraas@gnome.org>

	* gnome-keybindings-properties.c (accel_edited_callback): Mark
	a string for translation.
	
2002-05-06  Anders Carlsson  <andersca@gnu.org>

	* gnome-keybinding-properties.c (get_wm_name): It's true that
	g_utf8_validate doesn't like '\000' in strings, but that should
	be fixed in the programs that set the hints. (Eg Metacity).

Sun May  5 22:15:18 2002  Jonathan Blandford  <jrb@gnome.org>

	* gnome-keybinding-properties.c (get_wm_name): g_utf8_validate
	doesn't like the '\000' in strings.

2002-05-06  Anders Carlsson  <andersca@gnu.org>

	* eggcellrendererkeys.c: (grab_key_callback), (ungrab_stuff),
	(pointless_eventbox_start_editing),
	(egg_cell_renderer_keys_start_editing):
	* eggcellrendererkeys.h:
	Update to latest eggcellrendererkeys.
	
	* gnome-keybinding-properties.c: (get_wm_name),
	(is_metacity_running), (update_wm_window),
	(wm_window_event_filter), (initialize_wm_handling),
	(binding_from_string), (accel_set_func), (keybinding_key_changed),
	(clear_old_model), (count_rows_foreach), (should_show_key),
	(append_keys_to_tree), (reload_key_entries),
	(key_entry_controlling_key_changed), (disable_collapsing_cb),
	(setup_dialog), (main):
	* gnome-keybinding-properties.glade:
	Hard-code the list of keybindings. Add Metacity keybindings 
	and code for handling WM changes.
	
2002-04-26  Havoc Pennington  <hp@pobox.com>

	* gnome-keybinding-properties.c (append_keys_to_tree): fix 
	non-use of accessor functions.

Fri Apr 19 20:07:11 2002  Jonathan Blandford  <jrb@redhat.com>

	* gnome-keybinding-properties.c (append_keys_to_tree):
	ensure_style before calling size_request.

Thu Apr 18 17:56:12 2002  Jonathan Blandford  <jrb@redhat.com>

	* gnome-keybinding-properties.c (theme_changed_func): handle new
	theme-changeing code.

2002-04-11  Jacob Berkman  <jacob@ximian.com>

	* Makefile.am (EXTRA_DIST): add pixmap

2002-04-10  Seth Nickell  <snickell@stanford.edu>

	* Makefile.am:
	* keybinding.desktop.in:
	* keyboard-shortcut.png:

	Add a piss-poor-at-small-sizes-but-better-than-nothing
	icon.
	
Sat Apr  6 11:57:50 2002  Jonathan Blandford  <jrb@gnome.org>

	* gnome-keybinding-properties.c (setup_dialog): man, was this code
	silly.  Also, themes are case sensitive.
	(is_metacity_running): Add support for metacity keybindings.  This
	is off by default until I write code to actually detect metacity.

2002-03-29  Jody Goldberg <jody@gnome.org>

	* gnome-keybinding-properties.c (create_dialog) : remove the startup
	  warning caused by looking in the current directory for the glade file.
	(key_theme_changed) : add some protection for missing schemas.

Tue Mar 26 23:27:24 2002  Jonathan Blandford  <jrb@redhat.com>

	* gnome-keybinding-properties.c (setup_dialog): Only show themes
	if they actually have a keybinding.  Also, initialize the keytheme
	correctly.

2002-03-26  Seth Nickell  <snickell@stanford.edu>

	* keybinding.desktop.in:

	Use "keyboard shortcuts" to match the window title
